Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class DTDMonitor

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.DTDMonitor

public final class DTDMonitor
extends java.lang.Object
implements DTDHandler, DeclHandler

Constructor Summary
`DTDMonitor()` Constructor - does nothing
`DTDMonitor(XMLReader reader)` Constructor

Method Summary
`void` | `attributeDecl(java.lang.String element, java.lang.String attribute, java.lang.String type, java.lang.String[] options, java.lang.String defaultValue, boolean fixed, boolean required)` Stores the association between the name of an ID attribute and the name of element that may contain it Such an association would be represented in a DTD as in: where 'Person' would be elemtName and 'SSN' would be the ID attribute
`void` | `attributeDecl(java.lang.String element, java.lang.String attribute, java.lang.String type, java.lang.String defaultValue, java.lang.String value)` SAX2 extension handler for DTD declaration events Report an attribute type declaration
`void` | `buildIdIndex(DOMImpl dom, int mask, AbstractTranslet translet)` Leverages the Key Class to implement the XSLT id() function.
`void` | `elementDecl(java.lang.String element, java.lang.String model)` SAX2 extension handler for DTD declaration events Report an element type declaration.
`void` | `externalEntityDecl(java.lang.String name, java.lang.String pid, java.lang.String sid)` SAX2 extension handler for DTD declaration events Report a parsed external entity declaration.
`Hashtable` | `getUnparsedEntityURIs()`
`void` | `handleDTD(XMLReader reader)` Set an instance of this class as the DTD declaration handler for an XMLReader object (using the setProperty() method).
`void` | `internalEntityDecl(java.lang.String name, java.lang.String value)` SAX2 extension handler for DTD declaration events Report an internal entity declaration.
`void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` SAX2: Receive notification of a notation declaration event.
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notation)` SAX2: Receive notification of an unparsed entity declaration event.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTDMonitor

    public DTDMonitor()

  Constructor - does nothing

### DTDMonitor

    public DTDMonitor(XMLReader reader)
               throws java.lang.RuntimeException

  Constructor

Method Detail

### handleDTD

    public void handleDTD(XMLReader reader)
                   throws java.lang.RuntimeException

  Set an instance of this class as the DTD declaration handler for an XMLReader object (using the setProperty() method).

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws SAXException

  SAX2: Receive notification of a notation declaration event.
  Specified by:
    notationDecl in interface DTDHandler

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notation)
                            throws SAXException

  SAX2: Receive notification of an unparsed entity declaration event. The only method here that does not have to do with ID attributes. Passes names of unparsed entities to the translet.
  Specified by:
    unparsedEntityDecl in interface DTDHandler

### getUnparsedEntityURIs

    public Hashtable getUnparsedEntityURIs()

### attributeDecl

    public void attributeDecl(java.lang.String element,
                              java.lang.String attribute,
                              java.lang.String type,
                              java.lang.String[] options,
                              java.lang.String defaultValue,
                              boolean fixed,
                              boolean required)

  Stores the association between the name of an ID attribute and the name of element that may contain it Such an association would be represented in a DTD as in: where 'Person' would be elemtName and 'SSN' would be the ID attribute

### attributeDecl

    public void attributeDecl(java.lang.String element,
                              java.lang.String attribute,
                              java.lang.String type,
                              java.lang.String defaultValue,
                              java.lang.String value)

  SAX2 extension handler for DTD declaration events Report an attribute type declaration
  Specified by:
    attributeDecl in interface DeclHandler

### elementDecl

    public void elementDecl(java.lang.String element,
                            java.lang.String model)

  SAX2 extension handler for DTD declaration events Report an element type declaration.
  Specified by:
    elementDecl in interface DeclHandler

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   java.lang.String pid,
                                   java.lang.String sid)

  SAX2 extension handler for DTD declaration events Report a parsed external entity declaration.
  Specified by:
    externalEntityDecl in interface DeclHandler

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   java.lang.String value)

  SAX2 extension handler for DTD declaration events Report an internal entity declaration.
  Specified by:
    internalEntityDecl in interface DeclHandler

### buildIdIndex

    public final void buildIdIndex(DOMImpl dom,
                                   int mask,
                                   AbstractTranslet translet)

  Leverages the Key Class to implement the XSLT id() function. buildIdIndex creates the index (##id) that Key Class uses. The index contains the node index (int) and the id value (String).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.